Subject: RE: running GDB under Emacs on NT
From: [email-masked] (Chris Firth)

19 Mar 1997 12:56:10 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <1180113EC576D011AADE0060975B88B373CE.cygnus.gnu-win32@NEONET_SERVER1>
Mime-Version: 1.0
Content-Type: text/plain
Original-To: Jiri Kubicek <[email-masked]>, Sergey Okhapkin
	 <[email-masked]>,
        Chris Firth <[email-masked]>, [email-masked]
X-Priority: 3
X-Mailer: Internet Mail Service (5.0.1389.3)
Original-Sender: [email-masked]

	>Jiri Kubicek wrote:
> >> I have *EXACTLY* the same problem as Chris with the same software 
> >> (under Win95). I tried Win Emacs (Pearl Software) too; I tried even
> 
> >> debug DOS programs with DJGPP GDB debugger under both   
> >> Emacss, but the 
> >> GDB session always hangs. I found nothing useful in FAQs.
> 
> I searched through a mail archive on NTemacs and found the following
> message from Fabio Somenzi:
> 
> ...
> >> I found two problems with ntemacs (under Win95, at least) and
> cygnus's
> >> port of gdb.
> >>
> >> 1. (easy, hence solved) The marker produced by gdb uses ":" as
> field
> >> separator. gud-gdb-marker-regexp uses path-separator, which is ";"
> >> by default in ntemacs. In my humble opinion this is a bug in
> >> gud.el. The fact that the field separator used by gdb is also the
> >> path separator in Unix is almost a coincidence. In any case,
> >> explicitly setting path-separator to ":" seems to work as a patch.
> >> 
> >> 2. (unsolved) The marker starts with ^Z^Z (or \032\032 if you
> prefer).
> >> I suspect that those end-of-file characters wreak havoc on the
> >> commumications between ntemacs and gdb. I actually redefined
> >> gud-gdb-massage-args so as to eliminate the -fullname option. This
> >> renders GUD pretty useless, but ntemacs and gdb work fine instead
> >> of freezing at the first breakpoint.
> ...
> 
> I tried these two fixes and the second fix seems to fix the hang
> problem.  However, I cannot get the source code to be displayed in
> another window with an arrow pointing to the current line as gdb/emacs
> normally works.  I can however open the source file myself and set
> breakpoints (^X-space) from the source file.
> I don't know if this has anything to do it but I am running the
> command.com shell rather than the bash shell.
> 
> For the entire text of Fabio's message see:
> http://www.cs.washington.edu/homes/voelker/ntemacs/mail/10.26.96-.29.9
> 7/0236.html
> -- Chris
>  
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".